﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    fileType       = 'MSI'
    url            = 'https://dev.mysql.com/get/Downloads/Connector-Net/mysql-connector-net-8.0.15.msi'

    softwareName   = 'mysql connector net*'

    checksum       = 'd0a5a1d831705903cde3901a80efe0f188982f946f2a10ab6d4a6f9dd094bbb3'
    checksumType   = 'SHA256'

    silentArgs     = '/qn'
    validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
